/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * Simple C component implementation for business interface Service1
 * - no references
 * - 3 properties
 * @author Bryan Aupperle
 *
 */

#include "Service1.h"
#include "..\SCA.h"

/* @Property */
char serviceName[50];

/* @Property */
char serviceData1[50];

/* @Property */
char serviceData2[50];

char *operation1(const char *input) {
	int compCode, reason, size = 50;
	char *pServiceName = serviceName, *pServiceData1 = serviceData1, *pServiceData2 = serviceData2;
	char *result;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &compCode, &reason);
	SCAPropertyCString(L"serviceData1", &pServiceData1, &size, &compCode, &reason);
	SCAPropertyCString(L"serviceData2", &pServiceData2, &size, &compCode, &reason);
	
	result = (char *)malloc(255);  /* infrastructure must free this */
	strcpy(result, serviceName);
	strcat(result, " operation1 invoked");
	strcat(result, serviceData1);
	strcat(result, serviceData2);
	return result;
};
