/*
 *
 * Copyright(C) OASIS(R) 2005,2009. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */

/**
 * Basic interface to invoke testcases
 * @author Bryan Aupperle
 *
 */

/* @WebFault(name="TestExceptionFault", targetNamespace="http://oasis/tests") */
struct TestExceptionMsg {
   char faultInfo[50];
};

/*
 * @WebService(targetNamespace="http://oasis/tests")
 * @Remotable
 */

/**
 * Function for invoking testcase
 * @param input - input parameter(s) as a string
 * @return - output data as a string
 */
/* @WebThrows(faults="TestExceptionMsg") */
char *invokeTest(const char *input);


